import * as React from 'react';
interface Props {
    width: number;
    height: number;
    onAnimationFrame: (ctx: CanvasRenderingContext2D, time: number) => void;
    getContext: (ctx: CanvasRenderingContext2D) => void;
}
export declare class Canvas extends React.Component<Props, {}> {
    canvas: HTMLCanvasElement;
    ctx: CanvasRenderingContext2D;
    matrix: DOMMatrix;
    requestAnimationFrameId: number;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    _onScale: (factor: number) => void;
    _onTranslate: (x: number, y: number) => void;
    _setup: (node: HTMLCanvasElement) => void;
    _updateDimensions: () => void;
    _onAnimationFrame: (time: number) => void;
    render(): JSX.Element;
}
export {};
